WP3Listener Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP3Listener Class Referenceabstract

`#include <WP3Listener.h>`

Inheritance diagram for WP3Listener:

## Public Member Functions
| WP3Listener ()
virtual | ~WP3Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab ()=0
virtual void | insertTab (unsigned char tabType, double tabPosition)=0
virtual void | insertBreak (unsigned char breakType)=0
virtual void | insertEOL ()=0
virtual void | lineSpacingChange (double lineSpacing)=0
virtual void | attributeChange (bool isOn, unsigned char attribute)=0
virtual void | pageMarginChange (unsigned char side, unsigned short margin)=0
virtual void | pageFormChange (unsigned short length, unsigned short width, WPXFormOrientation orientation)=0
virtual void | marginChange (unsigned char side, unsigned short margin)=0
virtual void | indentFirstLineChange (double offset)=0
virtual void | setTabs (bool isRelative, const std::vector< WPXTabStop > tabStops)=0
virtual void | columnChange (WPXTextColumnType columnType, unsigned char numColumns, const std::vector< double > &columnWidth, const std::vector< bool > &isFixedWidth)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0
virtual void | defineTable (unsigned char position, unsigned short leftOffset)=0
virtual void | addTableColumnDefinition (unsigned width, unsigned leftGutter, unsigned rightGutter, unsigned attributes, unsigned char alignment)=0
virtual void | startTable ()=0
virtual void | closeCell ()=0
virtual void | closeRow ()=0
virtual void | setTableCellSpan (unsigned short colSpan, unsigned short rowSpan)=0
virtual void | setTableCellFillColor (const RGBSColor *cellFillColor)=0
virtual void | endTable ()=0
virtual void | undoChange (unsigned char undoType, unsigned short undoLevel)=0
virtual void | justificationChange (unsigned char justification)=0
virtual void | setTextColor (const RGBSColor *fontColor)=0
virtual void | setTextFont (const librevenge::RVNGString &fontName)=0
virtual void | setFontSize (unsigned short fontSize)=0
virtual void | insertPageNumber (const librevenge::RVNGString &pageNumber)=0
virtual void | insertNoteReference (const librevenge::RVNGString &noteReference)=0
virtual void | insertNote (WPXNoteType noteType, const WP3SubDocument *subDocument)=0
virtual void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, const std::shared_ptr< WP3SubDocument > &subDocument)=0
virtual void | suppressPage (unsigned short suppressCode)=0
virtual void | backTab ()=0
virtual void | leftIndent ()=0
virtual void | leftIndent (double offset)=0
virtual void | leftRightIndent ()=0
virtual void | leftRightIndent (double offset)=0
virtual void | insertPicture (double height, double width, double verticalOffset, double horizontalOffset, unsigned char leftColumn, unsigned char rightColumn, unsigned short figureFlags, const librevenge::RVNGBinaryData &binaryData)=0
virtual void | insertTextBox (double height, double width, double verticalOffset, double horizontalOffset, unsigned char leftColumn, unsigned char rightColumn, unsigned short figureFlags, const WP3SubDocument *subDocument, const WP3SubDocument *caption)=0
virtual void | insertWP51Table (double height, double width, double verticalOffset, double horizontalOffset, unsigned char leftColumn, unsigned char rightColumn, unsigned short figureFlags, const WP3SubDocument *subDocument, const WP3SubDocument *caption)=0
void | setResourceFork (WP3ResourceFork *resourceFork)
const WP3ResourceFork * | getResourceFork () const

## Private Member Functions
| WP3Listener (const WP3Listener &)
WP3Listener & | operator= (const WP3Listener &)

## Private Attributes
WP3ResourceFork * | m_resourceFork

## Constructor & Destructor Documentation

## ◆ WP3Listener() [1/2]

WP3Listener::WP3Listener | ( |  | ) |

## ◆ ~WP3Listener()

virtual WP3Listener::~WP3Listener | ( |  | ) |
| inlinevirtual

## ◆ WP3Listener() [2/2]

WP3Listener::WP3Listener | ( | const WP3Listener & |  | ) |
| private

## Member Function Documentation

## ◆ addTableColumnDefinition()

virtual void WP3Listener::addTableColumnDefinition | ( | unsigned | width,
|  | unsigned | leftGutter,
|  | unsigned | rightGutter,
|  | unsigned | attributes,
|  | unsigned char | alignment
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3TablesGroup::parse().

## ◆ attributeChange()

virtual void WP3Listener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3AttributeGroup::parse().

## ◆ backTab()

virtual void WP3Listener::backTab | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3TabGroup::parse(), and WP3CondensedBackTabFunction::parse().

## ◆ closeCell()

virtual void WP3Listener::closeCell | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3EndOfLinePageGroup::parse().

## ◆ closeRow()

virtual void WP3Listener::closeRow | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3EndOfLinePageGroup::parse().

## ◆ columnChange()

virtual void WP3Listener::columnChange | ( | WPXTextColumnType | columnType,
|  | unsigned char | numColumns,
|  | const std::vector< double > & | columnWidth,
|  | const std::vector< bool > & | isFixedWidth
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3DefinitionGroup::parse().

## ◆ defineTable()

virtual void WP3Listener::defineTable | ( | unsigned char | position,
|  | unsigned short | leftOffset
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3TablesGroup::parse().

## ◆ endDocument()

virtual void WP3Listener::endDocument | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3Parser::parse().

## ◆ endSubDocument()

virtual void WP3Listener::endSubDocument | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

## ◆ endTable()

virtual void WP3Listener::endTable | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3EndOfLinePageGroup::parse().

## ◆ getResourceFork()

const WP3ResourceFork* WP3Listener::getResourceFork | ( |  | ) | const
| inline

Referenced by WP3WindowGroup::parse().

## ◆ headerFooterGroup()

virtual void WP3Listener::headerFooterGroup | ( | unsigned char | headerFooterType,
|  | unsigned char | occurrenceBits,
|  | const std::shared_ptr< WP3SubDocument > & | subDocument
| ) |  |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3HeaderFooterGroup::parse().

## ◆ indentFirstLineChange()

virtual void WP3Listener::indentFirstLineChange | ( | double | offset | ) |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3PageFormatGroup::parse().

## ◆ insertBreak()

virtual void WP3Listener::insertBreak | ( | unsigned char | breakType | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3EndOfLinePageGroup::parse(), and WP3EOPFunction::parse().

## ◆ insertCharacter()

virtual void WP3Listener::insertCharacter | ( | unsigned | character | ) |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3EndOfLinePageGroup::parse(), WP3TabGroup::parse(), WP3DoubleByteScriptCharacterGroup::parse(), WP3ExtendedCharacterGroup::parse(), WP3HardSpaceFunction::parse(), WP3HyphenFunction::parse(), WP3SoftHyphenFunction::parse(), and WP3Parser::parseDocument().

## ◆ insertEOL()

virtual void WP3Listener::insertEOL | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3EndOfLinePageGroup::parse(), and WP3EOLFunction::parse().

## ◆ insertNote()

virtual void WP3Listener::insertNote | ( | WPXNoteType | noteType,
|  | const WP3SubDocument * | subDocument
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3FootnoteEndnoteGroup::parse().

## ◆ insertNoteReference()

virtual void WP3Listener::insertNoteReference | ( | const librevenge::RVNGString & | noteReference | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3DisplayGroup::parse().

## ◆ insertPageNumber()

virtual void WP3Listener::insertPageNumber | ( | const librevenge::RVNGString & | pageNumber | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3DisplayGroup::parse().

## ◆ insertPicture()

virtual void WP3Listener::insertPicture | ( | double | height,
|  | double | width,
|  | double | verticalOffset,
|  | double | horizontalOffset,
|  | unsigned char | leftColumn,
|  | unsigned char | rightColumn,
|  | unsigned short | figureFlags,
|  | const librevenge::RVNGBinaryData & | binaryData
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3WindowGroup::parse().

## ◆ insertTab() [1/2]

virtual void WP3Listener::insertTab | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3TabGroup::parse(), and WP3CondensedTabFunction::parse().

## ◆ insertTab() [2/2]

virtual void WP3Listener::insertTab | ( | unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

## ◆ insertTextBox()

virtual void WP3Listener::insertTextBox | ( | double | height,
|  | double | width,
|  | double | verticalOffset,
|  | double | horizontalOffset,
|  | unsigned char | leftColumn,
|  | unsigned char | rightColumn,
|  | unsigned short | figureFlags,
|  | const WP3SubDocument * | subDocument,
|  | const WP3SubDocument * | caption
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3WindowGroup::parse().

## ◆ insertWP51Table()

virtual void WP3Listener::insertWP51Table | ( | double | height,
|  | double | width,
|  | double | verticalOffset,
|  | double | horizontalOffset,
|  | unsigned char | leftColumn,
|  | unsigned char | rightColumn,
|  | unsigned short | figureFlags,
|  | const WP3SubDocument * | subDocument,
|  | const WP3SubDocument * | caption
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3WindowGroup::parse().

## ◆ justificationChange()

virtual void WP3Listener::justificationChange | ( | unsigned char | justification | ) |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3PageFormatGroup::parse().

## ◆ leftIndent() [1/2]

virtual void WP3Listener::leftIndent | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3IndentGroup::parse(), and WP3CondensedIndentFunction::parse().

## ◆ leftIndent() [2/2]

virtual void WP3Listener::leftIndent | ( | double | offset | ) |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

## ◆ leftRightIndent() [1/2]

virtual void WP3Listener::leftRightIndent | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3IndentGroup::parse(), and WP3CondensedLRIndentFunction::parse().

## ◆ leftRightIndent() [2/2]

virtual void WP3Listener::leftRightIndent | ( | double | offset | ) |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

## ◆ lineSpacingChange()

virtual void WP3Listener::lineSpacingChange | ( | double | lineSpacing | ) |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3PageFormatGroup::parse().

## ◆ marginChange()

virtual void WP3Listener::marginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3PageFormatGroup::parse().

## ◆ operator=()

WP3Listener& WP3Listener::operator= | ( | const WP3Listener & |  | ) |
| private

## ◆ pageFormChange()

virtual void WP3Listener::pageFormChange | ( | unsigned short | length,
|  | unsigned short | width,
|  | WPXFormOrientation | orientation
| ) |  |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3MiscellaneousGroup::parse().

## ◆ pageMarginChange()

virtual void WP3Listener::pageMarginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3PageFormatGroup::parse().

## ◆ setFontSize()

virtual void WP3Listener::setFontSize | ( | unsigned short | fontSize | ) |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3FontGroup::parse().

## ◆ setResourceFork()

void WP3Listener::setResourceFork | ( | WP3ResourceFork * | resourceFork | ) |
| inline

Referenced by WP3Parser::parse().

## ◆ setTableCellFillColor()

virtual void WP3Listener::setTableCellFillColor | ( | const RGBSColor * | cellFillColor | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3TablesGroup::parse().

## ◆ setTableCellSpan()

virtual void WP3Listener::setTableCellSpan | ( | unsigned short | colSpan,
|  | unsigned short | rowSpan
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3TablesGroup::parse().

## ◆ setTabs()

virtual void WP3Listener::setTabs | ( | bool | isRelative,
|  | const std::vector< WPXTabStop > | tabStops
| ) |  |
| pure virtual

Implemented in WP3StylesListener, and WP3ContentListener.

Referenced by WP3PageFormatGroup::parse().

## ◆ setTextColor()

virtual void WP3Listener::setTextColor | ( | const RGBSColor * | fontColor | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3FontGroup::parse().

## ◆ setTextFont()

virtual void WP3Listener::setTextFont | ( | const librevenge::RVNGString & | fontName | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3FontGroup::parse().

## ◆ startDocument()

virtual void WP3Listener::startDocument | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3Parser::parse().

## ◆ startSubDocument()

virtual void WP3Listener::startSubDocument | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

## ◆ startTable()

virtual void WP3Listener::startTable | ( |  | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3TablesGroup::parse().

## ◆ suppressPage()

virtual void WP3Listener::suppressPage | ( | unsigned short | suppressCode | ) |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3PageFormatGroup::parse().

## ◆ undoChange()

virtual void WP3Listener::undoChange | ( | unsigned char | undoType,
|  | unsigned short | undoLevel
| ) |  |
| pure virtual

Implemented in WP3ContentListener, and WP3StylesListener.

Referenced by WP3UndoGroup::parse().

## Member Data Documentation

## ◆ m_resourceFork

WP3ResourceFork* WP3Listener::m_resourceFork
| private

Referenced by getResourceFork(), and setResourceFork().

The documentation for this class was generated from the following files:

- WP3Listener.h
- WP3Listener.cpp